Bug 99262 - ImageMagick convert creates big-endian raw files instead of host architecture
ImageMagick convert creates big-endian raw files instead of host architecture
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 15:27 EDT by Johnathon Walls
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:00:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnathon Walls 2003-07-16 15:27:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Hello,

running the following command

convert -type Grayscale file.tif out.gray

results in a big-endian raw file instead of little-endian - the host
architecture.  The input file is unsigned 16-bit tiff.  This occurs if the
original TIFF file is big-endian or little-endian.

Using the flags -endian LSB/MSB makes no change.  It also occurs irregardless of
the 

ImageMagick display reads the raw file as a big-endian file.

Examining the file in a hex-editor (e.g. emacs with hexl-mode or khexedit) shows
the raw file to be in MSB

I have verified this up to ImageMagick-5.5.6-5.



Version-Release number of selected component (if applicable):
ImageMagick-5.4.7-10

How reproducible:
Always

Steps to Reproduce:
1.Get a grayscale TIFF file
2.Run "convert infile.tif outfile.gray"
3.Examine raw file in emacs with hexl-mode, or khexedit, or any hex editor.
4. Repeat with additional flag "-endian LSB" or "-endian MSB".
    

Actual Results:  Raw file is written with big-endian byte ordering instead of
the host architecture.

Expected Results:  The raw file should be written with little-endian byte
ordering, as I am using Intel i686.

Additional info:
Comment 1 Bill Nottingham 2006-08-05 00:31:52 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 14:00:53 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.